from netforce.model import Model, fields

class HDCaseDialyzerLine(Model):
    _name="clinic.hd.case.dialyzer"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",on_delete="cascade"),
        "dialyzer_type": fields.Selection([("low","low flux"),("high","high flux"),("dbl","dbl hifulx")],"Dialyzer Type"),
        "dialyzer_id": fields.Many2One("clinic.dialyzer","Dialzer",search=True),
        "description": fields.Char("Description",search=True),
        "use_time":fields.Integer("Use time"),
        "max_use_time":fields.Integer("Max use time"),
    }

HDCaseDialyzerLine.register()

