from netforce.model import Model, fields

class LoadNurseLine(Model):
    _name="clinic.schedule.load.nurse.line"
    _transient=True

    _fields={
        "load_id": fields.Many2One("clinic.schedule.load.nurse","Load Nurse",required=True,on_delete="cascade"),
        'nurse_id': fields.Many2One("clinic.staff","Nurse",domain=[['type','=','nurse']]),
        'cycle_id': fields.Many2One("clinic.cycle", "Cycle"),
    }
    

LoadNurseLine.register()

