from netforce.model import Model, fields

class MakeAPTLine(Model):
    _name="clinic.make.apt.line"
    _transient=True

    _fields={
        'apt_id': fields.Many2One("clinic.make.apt","APT", required=True,on_delete="cascade"),
        'patient_id': fields.Many2One("clinic.patient","Patient"),
        'mon_cycle_id': fields.Many2One("clinic.cycle","Monday"),
        'tue_cycle_id': fields.Many2One("clinic.cycle","Tuesday"),
        'wed_cycle_id': fields.Many2One("clinic.cycle","Wedsday"),
        'thu_cycle_id': fields.Many2One("clinic.cycle","Thursday"),
        'fri_cycle_id': fields.Many2One("clinic.cycle","Friday"),
        'sat_cycle_id': fields.Many2One("clinic.cycle","Satherday"),
        'sun_cycle_id': fields.Many2One("clinic.cycle","Sunday"),
        'department_id': fields.Many2One("clinic.department","Department"),
    }

    _order="patient_id"

MakeAPTLine.register()
