import time

from netforce.model import Model, fields

class PatientComorbidity(Model):
    _name="clinic.patient.comorbidity"
    _string="Patient Patient Comorbidity"
    _fields={
        "patient_id": fields.Many2One("clinic.patient","Patient",required=True,on_delete="cascade"),
        "comorbility_id": fields.Many2One("clinic.comorbidity","Comorbidity"),
        "ans": fields.Selection([['yes','Yes'],['no','No']], "Answer"),
        "analysis_date": fields.Date("Analysis Date"),
    }
    
    _defaults={
        'ans': "no",
    }

PatientComorbidity.register()
