from netforce.model import Model, fields, get_model

class GenVisitLine(Model):
    _name="clinic.gen.visit.line"
    _transient=True

    _fields={
        'gen_id': fields.Many2One("clinic.gen.visit","gen_id","Gen Visit"),
        'patient_id': fields.Many2One("clinic.patient","Patient"),
        'nurse_id': fields.Many2One("clinic.staff","Nurse", domain=[['type','=','nurse']]),
    }
    

GenVisitLine.register()

