from netforce.model import Model, fields, get_model

class GenVisitTime(Model):
    _name="clinic.gen.visit.time"
    _transient=True

    _fields={
        'gen_id': fields.Many2One("clinic.gen.visit","gen_id","Gen Visit"),
        'day': fields.Selection([('mon', 'Monday'), ('tue','Tuesday'), ('wed','Wedsday'),('thu','Thursday'),('fri','Friday'),('sat','Satherday'),('sun','Sunday')], 'Days'),
        'cycle_id': fields.Many2One("clinic.cycle","Cycle"),
        'time_start': fields.Char("Time Start"),
        'time_stop': fields.Char("Time Stop"),
    }
    

GenVisitTime.register()

