from netforce.model import Model, fields

class Partner(Model):
    _inherit="partner"

    _fields={
        "account_mdc_id": fields.Many2One("account.account","Account Receiveable Medicine",multi_company=True),
        "account_fee_id": fields.Many2One("account.account","Account Receiveable Fee",multi_company=True),
        "account_service_id": fields.Many2One("account.account","Account Receiveable Service",multi_company=True),
        "account_payment_id": fields.Many2One("account.account","Account Payment",multi_company=True),
        "account_income_id": fields.Many2One("account.account","Account Income",multi_company=True),
    }

Partner.register()
